# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'codebreaker_diz/version'

Gem::Specification.new do |spec|
  spec.name          = 'codebreaker_diz'
  spec.version       = CodebreakerDiz::VERSION
  spec.authors       = ['bl0rch1d']
  spec.email         = ['temaflash96@gmail.com']

  spec.summary       = 'Codebreaker game'
  spec.description   = "Game for true Hackers"
  spec.homepage      = 'https://github.com/bl0rch1d/codebreaker_diz'
  spec.license       = 'MIT'

  spec.files         = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']
  spec.required_ruby_version = '>= 2.5.5'

  spec.add_development_dependency 'bundler', '~> 2.0'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.8'
  spec.add_development_dependency 'rubocop', '~> 0.69.0'
  spec.add_development_dependency 'rubocop-performance', '~> 1.3'
  spec.add_development_dependency 'rubocop-rspec', '~> 1.33'
  spec.add_development_dependency 'fasterer', '~> 0.5.1'
  spec.add_development_dependency 'overcommit', '~> 0.48.0'
  spec.add_development_dependency 'simplecov', '~> 0.16.1'
  spec.add_development_dependency 'pry', '~> 0.12.2'
  spec.add_development_dependency 'bundle-audit', '~> 0.1.0'
end
